{% extends 'base.html' %}

{% block css %}
    <link rel="stylesheet" href="/static/main.css" />
    <style>
        {{ extended_css | safe }}   {# nosemgrep #}
    </style>
    <script>
    function closeModal(event) {
        var overlay = document.getElementById("modal-overlay");
        var modal = document.getElementById("modal-dialog");
        var section1 = document.getElementById("text1");
        var section2 = document.getElementById("text2");
        overlay.style.display = "none";
        modal.style.display = "none";
        section1.style.filter = "";
        section2.style.filter = "";
    }
</script>
{% endblock %}

{% block gutter %}
    <div class="gutter">
        <div class="tabs">
            <ul>
                <li class="{{ 'selected' if (selected_page == 'dashboard') }}"><a href="/" id="dashboard">Dashboard</a></li>
                <li class="{{ 'selected' if (selected_page == 'new_cidr')}}"><a href="/new_cidr" id="new_cidr">New CIDR</a></li>
                <li class="{{ 'selected' if (selected_page == 'lookup_cidr')}}"><a href="/lookup_cidr" id="lookup_cidr">Lookup CIDR</a></li>
            </ul>
        </div>
    </div>
{% endblock %}

{% block page %}
    <main>
        {% block main %}
        {% endblock %}
    </main>
{% endblock %}